View Issue Details

IDProjectCategoryView StatusLast Update
0000576Ham Radio DeluxeBugpublic2017-05-24 22:36
ReporterW4PC 
Assigned ToWA9PIE 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSVista Home Premium 64OS VersionSP2
Product Version 
Target VersionFixed in Version6.2.4 
Summary0000576: CQ DX Field Award - Errors in the summary sheets
DescriptionThere is something wrong in the summary sheet for the CQ DX Field award, and how it sources data for Digital and QRPp.
a. I have identical readings for the summary of Mixed (total), SSB (total), Digital (total), as well as *SSB QRPp. The picture is confirmed in the Matrix view.
b. The overview states that all my QSOs for this award are Digital SSB QRPp at the same time, which have worked the same grids, with the same grids confirmed and the same remaining grids still in need of QSL.
c. *Mixed 28 MHz and *SSB 28 MHz are identical, which is correct. The same applies to * Mixed and *SSB 3.5/7 MHz and for 1,8 MHz. I have never worked any 50 MHz or OSCAR, so the sums there are 0, as they should be.
d. On the other hand, *Mixed QRPp is considerably fewer than *SSB QRPp, which logically cannot happen, since SSB adds up to Mixed.
e. For Digital (total) the overview shows that I have worked all the same grids, but none of them in the subclasses of 28 MHz – 3.5/7 MHz – 1.8 MHz – 50 MHz – QRPp or digital .

I have hardly worked or logged anything digital, so the summary for Digital is obviously wrong.

Nor have I worked or logged any QRPp. Consequently, I am patently unable to understand where this summary sheet sources its data for Digital and QRPp. There is nothing in my Station definition, mode settings or elsewhere indicating that I have worked QRPp or Digital, as my normal power is 100 watt, and the very dominant mode is SSB.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAwards
Testing

Relationships

Activities

WA9PIE

2013-12-27 17:25

administrator   ~0000107

I see the problem and I'm building a new awards def for the 6.2 release.

There are a number of other awards that had similar issues. Much of this has to do with problems with the awards def builder (another bug).

Mike, WA9PIE

WA9PIE

2014-01-19 22:03

administrator   ~0000116

I updated the awards definition to fix it. Tested it.

Mike, WA9PIE

WA9PIE

2014-01-29 23:29

administrator   ~0000186

I confirmed the fix.

Issue History

Date Modified Username Field Change
2013-12-21 18:56 W4PC New Issue
2013-12-21 18:57 W4PC Project 2 - Next Dev List (Holding Area) => @5@
2013-12-27 17:24 WA9PIE Project @5@ => 3 - Current Dev List
2013-12-27 17:25 WA9PIE Release => 6.1
2013-12-27 17:25 WA9PIE Module => Logbook
2013-12-27 17:25 WA9PIE Sub-Module => Awards
2013-12-27 17:25 WA9PIE Report Build => 6.1.4.189
2013-12-27 17:25 WA9PIE Note Added: 0000107
2013-12-27 17:25 WA9PIE Assigned To => WA9PIE
2013-12-27 17:25 WA9PIE Status new => confirmed
2014-01-19 22:03 WA9PIE Fix Build => 6.2.x
2014-01-19 22:03 WA9PIE Note Added: 0000116
2014-01-19 22:03 WA9PIE Status confirmed => resolved
2014-01-19 22:03 WA9PIE Resolution open => fixed
2014-01-24 00:41 WA9PIE Fix Build 6.2.x => 6.2.208
2014-01-29 23:29 WA9PIE Fix Build 6.2.208 => 6.2.213
2014-01-29 23:29 WA9PIE Note Added: 0000186
2014-01-29 23:29 WA9PIE Status resolved => closed
2014-03-26 19:40 WA9PIE Summary CQ DX Field Award - Errors in the summary sheets => Bug: CQ DX Field Award - Errors in the summary sheets
2014-10-08 22:13 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2014-10-08 22:13 WA9PIE Category Logbook => General
2015-09-30 12:09 WA9PIE Fix Build 6.2.213 => (select)
2015-09-30 12:09 WA9PIE Proposed Release => TBD
2015-09-30 12:09 WA9PIE Summary Bug: CQ DX Field Award - Errors in the summary sheets => CQ DX Field Award - Errors in the summary sheets
2015-09-30 13:35 WA9PIE Category General => Bug
2017-05-24 22:36 WA9PIE Fixed in Version => 6.2.4